aboutsummaryrefslogtreecommitdiffstats
path: root/gcc-4.7/libjava/contrib/rebuild-gcj-db.in
diff options
context:
space:
mode:
Diffstat (limited to 'gcc-4.7/libjava/contrib/rebuild-gcj-db.in')
-rw-r--r--gcc-4.7/libjava/contrib/rebuild-gcj-db.in27
1 files changed, 27 insertions, 0 deletions
diff --git a/gcc-4.7/libjava/contrib/rebuild-gcj-db.in b/gcc-4.7/libjava/contrib/rebuild-gcj-db.in
new file mode 100644
index 000000000..39861ff55
--- /dev/null
+++ b/gcc-4.7/libjava/contrib/rebuild-gcj-db.in
@@ -0,0 +1,27 @@
+#!/bin/bash
+# rebuild-gcj-db
+
+## Copyright (C) 2000, 2002, 2003, 2008 Free Software Foundation
+##
+## This file is part of libgcj.
+##
+## This software is copyrighted work licensed under the terms of the
+## Libgcj License. Please consult the file "LIBGCJ_LICENSE" for
+## details.
+
+# Rebuild all the standard databases.
+for i in `@prefix@/bin/gcc --print-multi-lib 2>/dev/null`; do
+ multilib=`echo $i | sed -e 's/^.*;//' | sed -e 's/\@/ -/g'`
+ dirname=`@prefix@/bin/gcc -print-multi-os-directory $multilib 2>/dev/null`
+ base=@prefix@/lib/$dirname
+ dbLocation=`@prefix@/bin/gcj-dbtool -p $base`
+ libdir=$base/gcj
+ if ! test -d $libdir; then
+ # No shared libraries here.
+ continue
+ fi
+ dirname $dbLocation | xargs mkdir -p
+ @prefix@/bin/gcj-dbtool -n $dbLocation 64
+ find $libdir -follow -name '*.db' -print0 | \
+ @prefix@/bin/gcj-dbtool -0 -m $dbLocation $dbLocation
+done